Skip to main content
PUT
Update Collection

Authorizations

Authorization
string
header
required

Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

Path Parameters

collection_id
string<uuid>
required

Body

application/json

API request schema for updating a collection

name
string | null

New name for the collection

description
string | null

New description for the collection

Response

Successful Response

API response schema for creating a collection

id
string<uuid>
required

Collection ID

name
string
required

Collection name

project_id
string<uuid>
required

Project ID

created
string<date-time>
required

Creation timestamp

updated
string<date-time>
required

Last update timestamp

description
string | null

Collection description

created_by_user_id
string<uuid> | null

User who created this collection

num_assets
integer
default:0

Number of assets in the collection

num_directories
integer
default:0

Number of directories in the collection